Generate an app access token

Overview

Generate an app access token using OAuth client credentials flow. No bearer token required - authentication is via service_id and service_secret in the request body.

Prerequisites

Requires an existing OAuth application. Create one using POST /platform/v1/apps to obtain client_id (service_id) and client_secret (service_secret).

Parameters

  • service_id: The OAuth application client_id - a 64-character hexadecimal string (e.g., 20cecc9cc620b717187922baa7706ceaf27b254afdb435ff955a913b3393a8f9)
  • service_secret: The OAuth application client_secret - a 64-character hexadecimal string

How to Get Credentials

  1. Create an app: POST /platform/v1/apps with directory token
  2. Save the client_id and client_secret from the response
  3. Use those values as service_id and service_secret in this endpoint

Usage

This token can be used to create widgets (for apps with app_type=['widgets']) or notifications for the app.

Available for Staff, Directory, and Client tokens

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The OAuth application client_id (UID). This is returned when creating an app via POST /platform/v1/apps. Must be a valid OAuth application credential.

string
required

The OAuth application client_secret. This is returned when creating an app via POST /platform/v1/apps. Must match the OAuth application credentials.

Responses

400

Invalid credentials

401

Unauthorized

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json